Bug 1421126 (CVE-2017-5957) - CVE-2017-5957 Virglrenderer: stack overflow in vrend_decode_set_framebuffer_state
Summary: CVE-2017-5957 Virglrenderer: stack overflow in vrend_decode_set_framebuffer_s...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-5957
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1421127
Blocks: 1408137
TreeView+ depends on / blocked
 
Reported: 2017-02-10 12:14 UTC by Prasad J Pandit
Modified: 2021-02-17 02:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:07:26 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-02-10 12:14:38 UTC
Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support
for the virtio GPU, is vulnerable to an stack buffer overflow issue. It could
occur when in vrend_decode_set_framebuffer_state.

A guest user/process could use this flaw to crash the Qemu process instance
resulting DoS.

Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=926b9b3460a48f6454d8bbe9e44313d86a65447f

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/13/3

Comment 1 Prasad J Pandit 2017-02-10 12:14:50 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-02-10 12:15:15 UTC
Created virglrenderer tracking bugs for this issue:

Affects: fedora-all [bug 1421127]

Comment 3 Product Security DevOps Team 2019-06-08 03:07:26 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.